import numpy as np
from tensorflow.keras import models, layers, optimizers

number_of_sequences = 40
number_of_symbols = 2
length_of_sequences = 15

rng = np.random.default_rng()

x_train = np.array([rng.integers(0,number_of_symbols,length_of_sequences) 
  for i in range(number_of_sequences)])

y_train = np.array([np.insert(x_seq[:length_of_sequences-2],0,[0,0]) 
  for x_seq in x_train])
  
assert False

x_train = x_train.reshape(number_of_sequences, length_of_sequences, 1)
y_train = y_train.reshape(number_of_sequences, length_of_sequences, 1)

model = models.Sequential()
model.add(layers.Input(shape=(length_of_sequences, 1)))
model.add(layers.SimpleRNN(5, return_sequences=True))
model.add(layers.Dense(1))

model.compile(loss="binary_crossentropy", metrics=["accuracy"])

model.summary()

model.fit(x_train, y_train, epochs=50, batch_size=10, verbose=1)

x_test = np.array([[0,0,0,0,1,0,0,0,0,0,0,0,0,0,0]]).reshape(1,length_of_sequences,1)
y_test = np.array([np.insert(x_seq[:length_of_sequences-2],0,[0,0]) for x_seq in x_test])
y_prediction = model.predict(x_test)
y_prediction = y_prediction.reshape(length_of_sequences)

for i in range(length_of_sequences):
  print(y_test[0][i], end=" ")
  print(y_prediction[i])
