import numpy as np
from tensorflow.keras import Sequential
from tensorflow.keras.layers import Dense, InputLayer

# setup the model architecture
model = Sequential()
model.add(InputLayer(input_shape=(2,)))
model.add(Dense(3, activation="sigmoid"))
model.add(Dense(1, activation="sigmoid"))

model.compile() # compile it

w1 = [ # weights between neurons
  np.array([[0.1,0.6,0.7],[0.2,0.8,1]]),
  # bias terms
  np.array([0.5,0.8,0.5]) ]

w2 = [ # weights between neurons
  np.array([[0.3],[0.3],[0.7]]),
  # bias terms
  np.array([1]) ]

model.layers[0].set_weights(w1)
model.layers[1].set_weights(w2)

y = model.predict(np.array([[0,0]])) # generate predictions
print(y)