import numpy as np
from tensorflow import keras
from tensorflow.keras import layers
from sklearn.preprocessing import LabelBinarizer

# create a random data set with 500 pairs 
# of random numbers
x_train = np.random.randn(500,3)

# Target value: Is the sum of two values > 0?
y_train = np.array([1 if sum(x) > 0 else 0 for x in x_train])

# setup the model architecture
model = keras.Sequential()
model.add(layers.Input(shape=(3,)))
model.add(layers.Dense(1, activation="sigmoid", regularizer=""))
model.add(layers.Dropout(0.5))
model.add(layers.Dense(1, activation="sigmoid"))

# compile it
model.compile(loss="binary_crossentropy",
  optimizer="sgd",
  metrics=["accuracy"])

# train it
model.fit(x_train, y_train, epochs=120, batch_size=5)

# create a test data set
x_test = np.random.randn(100,2)
y_test = np.array([1 if sum(x) > 0 else 0 for x in x_test])
model.evaluate(x=x_test, y=y_test)